Subject: [linux-sunxi] Re: [PATCH v4] dma: sun4i: Add support for the DMA engine on sun[457]i SoCs

From: [email-masked] (Emilio López)
Date: Tue, 03 Feb 2015 17:18:45 -0300

Hi,

El 03/02/15 a las 16:39, jonsmirl at gmail.com escibi?:
> Did you fix multiple simultaneous DMA transfers in this? And easy test
> is to start jack audio. Jack will start simultaneous cyclic transfers
> on both the ALSA input and output. Since cyclic transfers never end,
> multiple simultaneous transfers has to work. Last time I tried it I
> got an immediate GPF when the second cyclic transfer was started.

I didn't get a chance to test with jack yet, but I don't see any reason 
why two cyclic transfers wouldn't work, assuming they're on different 
vchans.

Were you by any chance booting off of NAND by the way? That caused a GPF 
because the bootloader left the hardware in a dirty state, but it should 
be fixed now.

Cheers,

Emilio